Upgrade Errors DNN 1.0.10 >> 2.1.2 Please Help!

I'm trying to upgrade our company intranet from 1.0.10 to 2.1.2.  As a test, I've attempted to create a new intranet site before messing with the live one.  However I've run into a few errors.  These are the steps I've taken:

1. Backed up SQL server database
2. Created new db called db1
3. Restored backup to db1
4. Backed up all files for current dotnetnuke install
5. Created new folder (dotnetnuke1) and placed all old files in there.
6. Created new Virtual Directory in IIS 5.0 (Win2k) called dotnetnuke1
7. Unzipped 2.1.2 files and copied into dotnetnuke1
8. Added correct connection string data to web.config (twice) and changed default data provider to SqlDataProvider. NOTE: I made sure I used the new database name as well.
9. Navigated to //localhost/dotnetnuke1
At this point I received my first error: Configuration Error (Parser Error Message: Unrecognized attribute 'validateRequest'.)
To get past this I commented out the validateRequest line in the web.config file (No idea what impact this has, but was trying to keep going)
Next Error: Security Exception (System.Security.SecurityException: Failure decoding embedded permission set object.)
To try to fix this I made sure that the permissions on the folders/files were as wide open as possible - Everyone has complete access to the folders. I confirmed that ASPNET has access to the database. (It does as Public and DB_Owner).
I'm stuck!!! Please help! Does anyone have any further suggestions?
Thanks,
Dean.
----- Here are the errors in full:
Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.
Parser Error Message: Unrecognized attribute 'validateRequest'.
Source Error:

Line 48:
Line 49: <!-- page level options -->
Line 50: <pages validateRequest="false" enableViewStateMac="true" />
Line 51:
Line 52: </system.web>

Source File: C:\iNetProjects\SLS Fiberspace1 DNN\web.config Line: 50

--------------------------------------------------------------------------------
Version Information: Microsoft .NET Framework Version:1.0.3705.288; ASP.NET Version:1.0.3705.288

ERROR 2:
Security Exception
Description: The application attempted to perform an operation not allowed by the security policy. To grant this application the required permission please contact your system administrator or change the application's trust level in the configuration file.
Exception Details: System.Security.SecurityException: Failure decoding embedded permission set object.
Source Error:
An unhandled exception was generated during the execution of the current web request. Information regarding the origin and location of the exception can be identified using the exception stack trace below.
Stack Trace:

[SecurityException: Failure decoding embedded permission set object.]
System.Reflection.Assembly.nLoad(AssemblyName fileName, String codeBase, Boolean isStringized, Evidence assemblySecurity, Boolean throwOnFileNotFound, Assembly locationHint, StackCrawlMark& stackMark) +0
System.Reflection.Assembly.InternalLoad(AssemblyName assemblyRef, Boolean stringized, Evidence assemblySecurity, StackCrawlMark& stackMark) +307
System.Reflection.Assembly.InternalLoad(String assemblyString, Evidence assemblySecurity, StackCrawlMark& stackMark) +68
System.Reflection.Assembly.Load(String assemblyString) +19
System.Web.UI.CompilationConfiguration.LoadAssemblies(Hashtable original) +200


--------------------------------------------------------------------------------
Version Information: Microsoft .NET Framework Version:1.0.3705.288; ASP.NET Version:1.0.3705.288
0
dean_sls
6/21/2004 9:47:54 PM
asp.net.dotnetnuke-get-started 5241 articles. 0 followers. Follow

14 Replies
712 Views

Similar Articles

[PageSpeed] 40

OK, I decided to do a fresh install of 2.1.2 on our system to aid in troubleshooting.  These are the steps I followed:

1. Create New Database in MS SQL 2000 called Newdnn.
2. Added 2 db_owners (previously working users): dotnetnuke and ASPNET
3. Created folder: c:\...\Newdnn
4. Copied all 2.1.2 files into above folder.
5. Created a Virtual Directory in IIS called Newdnn and pointed at the above folder.
6. Changed the web.config file as follows:
- Change the connection string to "Server=localhost;Database=Fiberspace1;uid=dotnetnuke;pwd=pass"
- Changed customErrors mode to Off
- Changed the defaultProvider="SqlDataProvider"
- Changed connection string to be same as above connection string
7. Started dnn by navigating in Internet Explorer to http://localhost/newdnn
At this point I ran into the same Pages Validate request error as in the above post. I did the same thing: commented out that line in Web.Config.
Then, ran into the same Security Error as above!
Well, maybe I can't just comment out the pages validate request line, but then what do I do?
The web server is running .net framework 1.0 is this a problem?
Any help would be very much appreciated,
Dean.
0
dean_sls
6/21/2004 10:25:16 PM
you're running asp.net 1.0 which doesn't understand the validRequest clause. Open you web.config and change

<pages validateRequest="false" enableViewStateMac="true" />
to
<pages enableViewStateMac="true" />
Cathal
0
cathal
6/21/2004 10:45:30 PM
Excellent!  Thank you.  I've put in the <pages enableViewStateMac="true" /> and it seems to be fine with it.  However, I still hit the 2nd error regarding the Security Exception: 

Security Exception
Description: The application attempted to perform an operation not allowed by the security policy. To grant this application the required permission please contact your system administrator or change the application's trust level in the configuration file.
Exception Details: System.Security.SecurityException: Failure decoding embedded permission set object.
Source Error:
An unhandled exception was generated during the execution of the current web request. Information regarding the origin and location of the exception can be identified using the exception stack trace below.
Stack Trace:

[SecurityException: Failure decoding embedded permission set object.]
System.Reflection.Assembly.nLoad(AssemblyName fileName, String codeBase, Boolean isStringized, Evidence assemblySecurity, Boolean throwOnFileNotFound, Assembly locationHint, StackCrawlMark& stackMark) +0
System.Reflection.Assembly.InternalLoad(AssemblyName assemblyRef, Boolean stringized, Evidence assemblySecurity, StackCrawlMark& stackMark) +307
System.Reflection.Assembly.InternalLoad(String assemblyString, Evidence assemblySecurity, StackCrawlMark& stackMark) +68
System.Reflection.Assembly.Load(String assemblyString) +19
System.Web.UI.CompilationConfiguration.LoadAssemblies(Hashtable original) +200


--------------------------------------------------------------------------------
Version Information: Microsoft .NET Framework Version:1.0.3705.288; ASP.NET Version:1.0.3705.288
0
dean_sls
6/21/2004 10:59:19 PM
Does anyone think that I should move to the .net framework 1.1 or is 1.0 OK?

Dean.
0
dean_sls
6/21/2004 11:07:31 PM
Have you tried stopping and starting IIS (or else going to dos and trying net stop iisadmin , followed by net start w3svc), just in case the application pool has got corrupted?

1.1 is better and faster than 1.0, so you should upgrade if possible. You can run both side by side, though IIS extensions have to be mapped to one or the other. If you have existing .net code, you can check for breaking changes @ http://www.gotdotnet.com/team/changeinfo/default.aspx .
Cathal
0
cathal
6/21/2004 11:14:08 PM
I didn't try stopping and restarting IIS - but I did now, but to no effect.  Thanks for the suggestion though.

As for going to 1.1 - I have installed 1.1 but don't know how to make the website use it... do you know how to point it to 1.1 instead of 1.0?
Thank you so much for your assistance.
Dean.
0
dean_sls
6/21/2004 11:43:06 PM
open a dos command window, and try the following :

cd C:\WINNT\Microsoft.NET\Framework\v1.1.4322
aspnet_regiis -i
This will install the script mappings for 1.1. Alternatively, you can use Dennis Bauer's switcher tool to move between versions. It's @ http://www.denisbauer.com/NETTools/ASPNETVersionSwitcher.aspx
Cathal
0
cathal
6/22/2004 1:19:06 AM
OK - I'm going to try this out (going to 1.1), but can't work out a time to do it until next week - so I'll have to keep you posted.  

In the meantime - does anyone have any other suggestions? Are these errors really only related to 1.1? I was under the assumption DNN would work on 1.0...
Thanks,
Dean.
0
dean_sls
6/23/2004 9:33:12 PM
That did it for me. - THANKS!
0
tskjr
7/2/2004 1:27:54 AM
Hooray!  It works!  I was able to get the 1.1 Framework added over the weekend and this time when I went to run the website it worked.  

Thanks for your help Cathal!
(Now I just need to figure out Windows authentication again!)
Dean.
0
dean_sls
7/5/2004 2:57:39 PM
Hi dean_sls,

I was searching for DNN version < 2 with, if you can provide me the complete zip file with source, it will be nice.
thank you.
0
informerx4u
8/2/2004 3:34:41 PM
what version are you looking for?  I have 1.0.10c and e.
dawn
0
dawn_319
8/2/2004 8:04:32 PM

I found the exact same error, but my Dotnetnuke must be running on a  extern host. That host is running Framework 1.0 and there is little chance on upgrading soon.

Is there a possibility to solve the problem without upgrading to 1.1? please let me know

0
rluigjes
5/19/2005 1:13:31 PM

i don't think so. DNN is a 1.1 application, and won't recompile on 1.0, as it uses some 1.1 features. I'm surprised a host is still using 1.0, as its a few years old now, and 1.1 was really just a large service pack for 1.0, with additional features. It's also possible to run both versions of the framework in side-by-side mode.

Cathal

0
cathal
5/19/2005 4:57:37 PM
Reply:

Similar Artilces:

Bug DNN 3.1.1 Upgrade from 2.1.2 -> 3.1.0 ->
Somewhere along the process, (I missed when) a portal upgrade created a problem with portal creation. The site is created fine, but the password for the admin is never correct. I have to use host to correct it. Anyone faced this ?Do you know the truth when you hear it? are you using the same hash keys in your web.config? this got me one time-DarrenNeese.com-DNN ROCKS!-DeveloperSchool.com Thanks, this helped me narrow it down and realize it was possibly the upgrade from DNN2 to DNN 3. Since there are no hash keys in DNN2 because it uses an encryption key, how did you solve it?Do you know ...

Upgrading failing from DNN 2.1.2 > 3.1.0 without an any errors
All, I've finally managed to test and test and test some more to what I thought get to a place where I can finally upgrade our production system to DNN 3.  Problem is, I came across an issue that I never saw on other servers and I can't figure out why it did what it did.  The biggest difference that I can tell is the SQL box is Win2k3 on a clustered environment. Anyway the issue is this: once the user transfers are done, it goes into the spot to run the general upgrades as labeled in upgrade.vb.  The method UpgradeApplication() never runs (about line 1363). ...

Can not compile xmms-1.2.11. Please, help me. (configure: error: *** GLIB >= 1.2.2 not installed
OpenSuse11.3 download src xmms-1.2.11 ./configure .... checking whether the g++ linker (/usr/i586-suse-linux/bin/ld) supports shared libraries... yes checking dynamic linker characteristics... cat: /etc/ld.so.conf.d/*.conf: No such file or directory GNU/Linux ld.so checking how to hardcode library paths into programs... immediate appending configuration tag "F77" to libtool checking pthread.h usability... yes checking pthread.h presence... yes checking for pthread.h... yes checking for glib-config... no checking for GLIB - version >= 1.2.2... no *** The glib-conf...

Fotovision error after upgrade from 3.1.1 >> 3.2.0
I have the following errormessege after upgrade:Method not found: Void DotNetNuke.UI.WebControls.TreeNode.set_NavigateUrl(System.String).Any suggestionBuitel no one use fotovision? " src="/emoticons/emotion-9.gif"> Havent put the module on 3.2 yet but might have some info after the weekend on that if its an issueDylan Barberread my stupid blog http://codemypantsoff.com ...

Error upgrading from 2.1.2 -> 3.0.12 HELP!
I'm trying to upgrade my 2.1.2 DNN site to 3.0.12. I don't want to start from scratch because I have alot of content. All other posts that I have seen just restarted from scratch to solve their problems, that is not an option here. Here is the error that I'm getting. DotNetNuke Configuration Error Domain Name "www.mydomain.com" Does Not Exist In The Database NOTE: the domain above is not that actual domain. Then it goes on by describing the process of using the domain, but no steps to fix this. PLEASE somebody help me try to get this fixed. Thanks in advance...

Help!!! After upgrading DNN 2.1.2 to 3.1.1 FTB Error
I keep on getting this error after upgrading a DNN 2.1.2 to DNN 3.1.1 (Windows 2k with SQL Server 2000). The Text/HTML module when in edit comes up with error as follws; Edit Text/HTML    Basic Text Box Rich Text Editor An error has occurred.DotNetNuke.Services.Exceptions.ModuleLoadException: The data at the root level is invalid. Line 1, position 1. ---> System.Xml.XmlException: The data at the root level is invalid. Line 1, position 1. at System.Xml.XmlTextReader.ParseRoot() at System.Xml.XmlTextReader.Read() at Sys...

Upgrade to DNN 2.1.2 from DNN 1.0.10 loses portals
In the recent upgrade attempt (I ended up restoring) I was able to successfully install the software, but in the process I lost all the portals which had been previously defined in the DNN 1.0.10 version. They flat out were gone. In the upgrade process I followed the instructions in the readme file, basically laying down the new DNN files over the old, and re-enabling my Connection String. Wondering, Will Did you have any content in your default portal? RegardsRegards, Nick Free Css Skins! | nuke.nickclements.net  Create a test portal (named test!) with the DNN2....

>>> DotNetNuke 3.2.1 and 4.0.1 Released <<<
"We are pleased to announce the release of DotNetNuke 3.2.1 and 4.0.1. These point releases address a number of issues identified after the major version releases on Nov. 7, 2005.  The 3.2.1 release contains an updated version of the Microsoft MemberRole component which addresses some Medium Trust issues on ASP.NET 2.0. A variety of defect corrections and new versions of the FreeTextBox rich text editor control are also included."This was taken off there site http://www.dotnetnuke.com/Default.aspx?tabid=703-Blake NiemyjskiBlog - Website: windowsc...

Differences between .net 1, .net 1.1, .net 2.0 and .net 3.0 #2
Hi, This seems to be a common question, but i havent got an answer yet:(Can, any one please explain me the differences between these versions.If you keep your feet firmly on the ground, you'll have trouble putting on your pants! There are too many differences for one email - - from 1.0 to 1.1 (not a whole lot of real change, other than fixes, at least compared to 1.1 to 2.0) With 2.0, there were many new declarative controls, with many new ideas added in With 3.0, it's a superset of 2.0 - instead of replacing the installation completely, it just 'added on' new functionality - I would...

10.0.3.2 => 10.1.1 will it help my issues?
Hello all, I have been reading up on various posts on this forum for quite a while, checking on various issues related to ZCM. I first implemented ZCM on June of this year, and was impressed with the web interface and flexibility, and how some of the features worked very well. However, I am plagued by some common issues with ZCM: - Slow login (albeit not horrible, usually 30 - 45 sec at the most, still not good) - Intermittent failure of group policy - Intermittent and random failure of DLU policies I really want to make some headway on these issues, and was wondering if ...

DNN upgrade error from 2.0.4 to 2.1.1
Whenever I follow the upgrade instructions (Make a backup of your old files / database, Copy the new files over the old files, Change the web.config to set your database, Browse to the site) , it takes me straight to the default DNN page, without any indications as to the data that already exists. It works properly when I copy DNN 2.0.4 back over. Any help would be greatly appreciated. As the previous post below, There are some issues with the upgrade path and the core team has indeed identified them. Please if you can live with 2.0.4 stay there till the patch release 2.1.2 in a few days. ...

ZCM server 10.2.0 -> 10.2.1 "unknown error"
I have a single ZCM server (Win 2003). 10.2.1 is not applying on the server itself. Its agent is updated but not the server. I have found some errors in zmd-messages.log (see below), which seems to be the problem but I am not sure what to do to make the <Content ID> accessible. Under D:\Program Files\Novell\ZENworks\work\content-repo\system-update there are a series of directories and one with the name of 45dcabc794d4cc7200485dd6f0ff088b contains msi and rpms etc which seem to be the code for 10.2.1. I can't find a directory called 40cf51abd20f5b769574f73ca151aae4, ...

DNN upgrade to 2.0.1 from 1.10 error
An error has occurred. DotNetNuke.PageLoadException: ? ---> System.TypeLoadException: ? at DotNetNuke.UsersOnlineModule.Page_Load(Object sender, EventArgs e) at System.Web.UI.Control.OnLoad(EventArgs e) at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Control.LoadRecursive() at System.Web.UI.Con...

OSX 1.1.18 -> 2.0.2 upgrade crash
Hello, When SM 2.0 first came out I tried migrating from 1.1.8 but hit a problem. The same thing is still occurring with 2.0.2 and I'm looking for suggestions. When I first run 2.0.2 it gives me the option to import from 1.1.18, which I select, and the dialog appears listing the various items being imported. This takes about 4 minutes. I click on OK and get the following message about 10 seconds later, titled "Crash Reporter": We're Sorry The application had problem and crashed. Unfortunately the crash reporter is unable to submit a report for this cras...

Web resources about - Upgrade Errors DNN 1.0.10 >> 2.1.2 Please Help! - asp.net.dotnetnuke-get-started

Resources last updated: 12/16/2015 3:11:57 AM